<?php 
	class dataTupoksi extends mysql{

		function get_tupoksi_by_id($kolom,$id){
			if($this->cek_result != "on"){
			$sql = "select tb1.*, tb2.Nama, tb2.NIP from tbtupoksi tb1 INNER JOIN tbdosen tb2 on tb1.idPegawai = tb2.Id where tb1.id='".$id."'";
			$this->result = $this->execute($sql,'order');
			$this->cek_result = "on";
			return trim($this->result[$kolom]);
			}
				else return trim($this->result[$kolom]);
		}
		function get_tupoksi_by_idPegawai($kolom,$idPegawai){
			if($this->cek_result != "on"){
			$sql = "select tb1.*, tb2.Nama, tb2.NIP from tbtupoksi tb1 INNER JOIN tbdosen tb2 on tb1.idPegawai = tb2.Id where tb1.idPegawai='".$idPegawai."'";
			$this->result = $this->execute($sql,'order');
			$this->cek_result = "on";
			return trim($this->result[$kolom]);
			}
				else return trim($this->result[$kolom]);
		}
			
		function get_data_tupoksi($kolom,$a,$type){
			if($type == '') return trim ($this->sql_order_seek($sql,$kolom,$a));
			$sql = "select * from tbtupoksi";
			$this->query = $this->execute($sql,'');
			if ($type == 'jumlah') return $this->sql_order_count($sql);
		}
		function edit_tupoksi($id, $tupoksi1, $tupoksi2, $tupoksi3, $tupoksi4, $tupoksi5, $unit){
		    $sql = "update tbtupoksi set tupoksi1 = '".$tupoksi1."', tupoksi2 = '".$tupoksi2."', tupoksi3 = '".$tupoksi3."', tupoksi4 = '".$tupoksi4."', tupoksi5 = '".$tupoksi5."', unitKerja = '".$unit."' where id = '".$id."' ";
		    $this->query = $this-> execute($sql,''); 
		}
		function add_tupoksi_pegawai($idPegawai, $tupoksi1, $tupoksi2, $tupoksi3, $tupoksi4, $tupoksi5, $unit){
		    $sql = "INSERT INTO tbtupoksi (idPegawai, tupoksi1, tupoksi2, tupoksi3, tupoksi4, tupoksi5, unitKerja) values ('".$idPegawai."', '".$tupoksi1."', '".$tupoksi2."', '".$tupoksi3."', '".$tupoksi4."', '".$tupoksi5."', '".$unit."')";
			echo $sql;
		    $this->query = $this-> execute($sql,''); 
		}
			
	}
?>